#!/bin/bash -ex

function err_exit(){
	2 >& 1 echo "$@"
	exit 1
}

if [ -n "${MAKE_JOBS}" ]; then
    CPUS="${MAKE_JOBS}"
else
    CPUS="$(nproc)"
    #CPUS=$(($(nproc)/2))
fi

#android-build-configs/hooks/build-hikey960-4.9-vendor.sh
#######################################################
# better to be speified in the build config file
function main(){
    local dir_out_target="out/target/product/hikey960"
    local dir_default_images="${dir_out_target}-default"
    local dir_vendor_49="${dir_out_target}-vendor-49"
    if [ -d  "${dir_default_images}" ]; then
        rm -fr "${dir_default_images}"
    fi
    mv "${dir_out_target}" "${dir_default_images}"
    rm -fr "${dir_vendor_49}"
    # shellcheck source=/dev/null
    source build/envsetup.sh
    lunch hikey960-userdebug
    make -j "${CPUS}" vendorimage TARGET_KERNEL_USE=4.9
    mv "${dir_out_target}" "${dir_vendor_49}"
    mv "${dir_default_images}" "${dir_out_target}"
    mv "${dir_vendor_49}/vendor.img" "${dir_out_target}/vendor-4.9.img"
}

main "$@"
